For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETList HR verification letters and documents
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Documents

List HR verification letters and documents

GET
/eor/workers/contracts/:contract_id/hr-documents
GET
/rest/v2/eor/workers/contracts/:contract_id/hr-documents
$curl https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/hr-documents \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "494e14fe-bd3e-44b7-87c4-cf06d4bcb081",
5 "name": "Standard verification letter"
6 }
7 ]
8}

Returns all HR verification letters and documents associated with the employee contract. Token scopes: worker:read

Was this page helpful?
Previous

Add additional information

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication